import { ObjectType } from './ObjectType';
import { Field } from '../reference/Field';
import { TypeResolvingContext } from '../type-expression/types';
export declare class SubscriptionType extends ObjectType {
    protected buildFieldConfig(context: TypeResolvingContext, field: Field): {
        subscribe: import("graphql/type/definition").GraphQLFieldResolver<any, any, {
            [argName: string]: any;
        }> | undefined;
        resolve: (v: any) => any;
        type: import("graphql/type/definition").GraphQLOutputType;
        args?: import("graphql/type/definition").GraphQLFieldConfigArgumentMap | undefined;
        deprecationReason?: import("graphql/tsutils/Maybe").default<string>;
        description?: import("graphql/tsutils/Maybe").default<string>;
        astNode?: import("graphql/tsutils/Maybe").default<import("graphql/language/ast").FieldDefinitionNode>;
    };
}
//# sourceMappingURL=SubscriptionType.d.ts.map